Royal Building Systems

1. INTRODUCTION

1.1 Royal Building Systems™

Welcome to the world of Royal Building Systems (Cdn) Limited (Royal), an innovative quality-driven building technologies company. Since the introduction of Royal Building Systems™ (RBS) in 1992, Royal has received global recognition for its approach in providing innovative solutions to the construction industry in residential, commercial, industrial, institutional, and agricultural sectors.

RBS is a patented polymer-based stay-in-place formwork for concrete walls. The extruded components slide and interconnect together to create a concrete formwork. The result is permanent, attractive, and pre-finished concrete walls that can be easily constructed in any climate.

RBS provides flexibility of design, whether you are building a home or a large industrial complex.

The polymer components used in Royal Building Systems™ will not decay or deteriorate over a lifespan that can be measured in decades. The RBS system also requires no painting, and resists ultraviolet radiation. Furthermore, RBS is highly durable, virtually maintenance free, impervious to weather, and extremely energy efficient.

RBS is also environmentally friendly as the polymer components are recyclable, energy efficient, and non-toxic.

Put it all together, and you can see that RBS offers complete design flexibility and an innovative building system that is easy to maintain, friendly to the environment, and built to last. Whether you are a developer, contractor, architect, engineer, or designer you can find attractive and cost effective solutions for your next project with the RBS system.

Building SOLUTIONS for a Better World...

Thank you for reading the Software Guide. We hope you found this guide informative while designing your project using Royal Building Systems™ technology.

As always, our main goal at Royal Building Systems (Cdn) Limited is to ensure that our valued customers are 100% satisfied with our service and with Royal Building Systems™ technology. Should you have any questions or comments, we would like to hear from you. You may contact us at the following:

Mail:1 Royal Gate Blvd.

Woodbridge, Ontario

Canada L4L 8Z7

Tel:(905) 264-0698

Toll Free:1 (877) 747-WALL (9255)

Fax:(905) 264-0699

E-mail: info@rbsdirect.com

Web: www.rbsdirect.com

Please visit the RBS DIRECT!™ section of our web site at www.rbsdirect.com for the latest version of this guide.

© Copyright 2001 Royal Building Systems (Cdn) Limited

All rights reserved. No part of this publication may be reproduced in any form or by any means without written permission from Royal Building Systems (Cdn) Limited.

Royal Building Systems™ is a registered trademark of Royal Group Technologies Limited. RBS DIRECT™ is a trademark of Royal Group Technologies Limited. All other products, names and services are trademarks or registered trademarks of their respective companies.

ISO 9000 certified


About The RBSD for AutoCAD Software Guide

The RBSD for AutoCAD Software Guide is provided as a design tool to assist contractors, engineers, builders, and architects in designing projects using Royal Building Systems™ technology within the AutoCAD 2000 environment.

This version of the guide is to be used in conjunction with the RBSD for AutoCAD 2000 Version 4.0 software.

Royal Building Systems (Cdn) Limited assumes no responsibility in ensuring that the designed projects meet local building code approval. All projects must be engineered to suit local building code requirements.

The following additional guides are available to assist in designing and building your projects using Royal Building Systems™ technology:

  • Design Guide

  • Technical Guide

  • Construction Guide


 System Requirements

In order to utilize the RBSD for AutoCAD 2000 Design Tool, the following software and hardware specifications are required:

  • AutoCAD 2000 or 2000i

  • Windows 95/98/NT 4.0

  • PC with sufficient capacity to run AutoCAD 2000


Installation of RBSD for AutoCAD (release 4.0)

Installation of RBSD for AutoCAD 2000 Version 4.0

  1. If you have an older version of RBSD for AutoCAD 2000, uninstall it and remove it from your system.

  2. Ensure AutoCAD 2000 or AutoCAD 2000i is installed on your system and that it was the last version of AutoCAD run on your system.

  3. Ensure AutoCAD 2000 is not currently running on your system

  4. Download (if required) and run the installation program RBSDforAutoCAD2000Ver4_0.exe

Note: The installation program will start and exit AutoCAD 2000 as a part of the installation process.

If you are running Windows NT then RBSD for AutoCAD 2000 Version 4.0 must be installed by a user with administrative privileges. The RBSD for AutoCAD software will integrate with AutoCAD for all users on the system, but the toolbars will only be created for the user that actually installs RBSD for AutoCAD. To load the toolbars for other users, you can use the command 'menuload' to load the toolbar files. RBSD for AutoCAD typically installs in C:\Program Files\Royal Building Systems\RBSD2000. The menu files can be found in the sub-directory Menus.

RBSD for AutoCAD 2000 Version 4.0 should be uninstalled before AutoCAD is uninstalled, or before a newer version of RBSD for AutoCAD is installed. To uninstall RBSD for AutoCAD 2000 Version 4.0, go to the Start Menu and choose Settings. Open the Control Panel and double click the Add/Remove Programs icon. Select RBSD for AutoCAD 2000 Version 4.0 from the list and click on Add/Remove.


Legal Notice - End-User Program License Agreement

Legal Notice - End-User Program License Agreement For Royal Building Systems (Cdn) Limited Software

IMPORTANT - READ CAREFULLY: THIS NON-EXCLUSIVE END-USER PROGRAM LICENSE AGREEMENT (THIS "AGREEMENT") IS A LEGAL AGREEMENT BETWEEN YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) AND ROYAL BUILDING SYSTEMS (CDN) LIMITED FOR THE SOFTWARE ACCOMPANYING THIS AGREEMENT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS, AND "ONLINE" OR ELECTRONIC DOCUMENTATION (COLLECTIVELY THE "PROGRAM"). BY USING THE PROGRAM, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, YOU MAY NOT USE THE PROGRAM.

PLEASE READ CAREFULLY THE TERMS AND CONDITIONS OF THE LICENSE AGREEMENT BELOW BEFORE USING OR COPYING ANY SOFTWARE. IN THE EVENT YOU DO NOT AGREE WITH ANY TERM OR CONDITION, RETURN THIS PACKAGE TO ROYAL BUILDING SYSTEMS (CDN) LIMITED. IN SUCH CASE A FULL REFUND OF ANY LICENSE FEE WILL BE PROVIDED TO YOU.

Pursuant to this Agreement, you may: (a) use the Program on a single computer; and, (b) copy the Program into any computer in readable or printed form for back-up or modification purposes in support of your use of the Program.

Any portion of the Program merged into another program will continue to be subject to the terms and conditions of this Agreement. You must also reproduce and include the copyright notice on any copy, modification, or portion merged into another program.

YOU MAY NOT USE, COPY, MODIFY, REVERSE ENGINEER, DECOMPILE, DISASSEMBLE, OR TRANSFER THE PROGRAM OR ANY COPY, MODIFICATION, OR MERGED PORTION, IN WHOLE OR PART, EXCEPT AS EXPRESSLY PROVIDED FOR IN THIS AGREEMENT. IF YOU TRANSFER POSSESSION OF ANY COPY, MODIFICATION, OR MERGED PORTION OF THE PROGRAM TO ANOTHER PARTY, YOUR LICENSE IS AUTOMATICALLY TERMINATED.

The PROGRAM is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Copyright

All title, ownership rights and intellectual property rights in the PROGRAM are owned by Royal Building Systems (Cdn) Limited ("Royal") or its suppliers and are protected by Canadian and United States copyright laws, other applicable copyright laws and international treaty provisions. Royal and its suppliers retain all rights not expressly granted.

Term

The license is effective unless rejected or terminated. Royal may reject or terminate it at any time. You may reject or terminate it any time by destroying the Program together with all copies, modifications and merged portions in any form. It will also terminate upon conditions set forth elsewhere in this Agreement or if you fail to comply with any term or condition of this Agreement. You agree upon rejection or termination to destroy the Program together with all copies, modifications, and merged portions in any form.

Confidentiality

You hereby agree to maintain the PROGRAM in confidence and take all necessary precautions to prevent disclosure of any of it to persons other than your employees or agents or bona fide customers, each of whom you must notify of the confidential nature of the information and obtain their agreement to maintain it in confidence.

Limited Warranty and Remedies

Royal warrants the media on which the Program is furnished, to be free from defects in materials and workmanship under normal use for a period of one year from the date of delivery to you.

During the one year warranty period, Royal will (1) replace any media not meeting the foregoing warranty and which is returned to Royal; (2) if Royal is unable to deliver replacement media which is free of defects in materials or workmanship, you may terminate this Agreement.

THE FOREGOING WARRANTY DOES NOT EXTEND TO ANY MEDIA WHICH HAS BEEN DAMAGED AS A RESULT OF ACCIDENT, MISUSE, ABUSE, OR AS A RESULT OF SERVICE OR MODIFICATION BY ANYONE OTHER THAN ROYAL.

EXCEPT AS EXPRESSLY SET FORTH ABOVE, NO OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, ARE MADE WITH RESPECT TO THE PROGRAM, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ROYAL AND ITS SUPPLIERS EXPRESSLY DISCLAIM ALL WARRANTIES NOT STATED HEREIN. YOU ASSUME THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE , YOU - AND NOT ROYAL OR ITS SUPPLIERS - ASSUME THE ENTIRE COST OF NECESSARY SERVICING, REPAIR, OR CORRECTION. SOME COUNTRIES AND STATES DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS, AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM COUNTRY TO COUNTRY AND STATE TO STATE.

Some of the Program contained in this media have been optimized to run on specific hardware. Therefore, the Program may not run as effectively or may cause errors in data or operations when this software is loaded on different hardware. Royal and its suppliers do not warrant that the functions contained in the Program will meet your requirements or that the operation of the Program will be uninterrupted or error-free. You assume responsibility for the selection of the Program and hardware to achieve your intended results; and for the installation, use and results obtained from the Program.

YOUR SOLE REMEDIES AND THE ENTIRE LIABILITY OF ROYAL AND ITS SUPPLIERS ARE SET FORTH ABOVE. IN NO EVENT WILL ROYAL OR ITS SUPPLIERS BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY DAMAGES, INCLUDING ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES, EXPENSES, LOST PROFITS, LOST SAVINGS OR OTHER DAMAGES ARISING OUT OF USE OF OR INABILITY TO USE SUCH PROGRAM.

SOME COUNTRIES AND STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR CONSUMER PRODUCTS, SO THAT THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU.

General

You may not sublicense, assign or transfer the license or the Program. Any attempt to otherwise sublicense, assign or transfer any of the rights, duties, or obligations hereunder is null and void

If you have any questions concerning this Agreement, including warranty service, you should contact Royal Building Systems (Cdn) Limited, 1 Royal Gate Boulevard, Woodbridge, Ontario, L4L 8Z7.

This Agreement will be governed by the laws of the Province of Ontario, Canada.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS; YOU FURTHER AGREE IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US WHICH SUPERCEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.


RBSD for AutoCAD

Designing wall structures using Royal Building Systems™ is a simple task using the RbsdAcad.arx library of design tools for the AutoCAD platform (ObjectARX library). These tools consist of a series of commands which assist in drawing and specifying walls and openings.

WALL COMPONENT AVAILABILITY CHART

COMPONENT | LABEL | WALL LENGTH (mm) | WALL LENGTH (in) | RSB4 | RBS6 | RBS8 | RBS8i (insulated) | RBS8i (non-insulated)
BOX CONNECTOR
STRAIGHT | BCS | 100 | 3 - 15/16 | ü | ü | ü | ü | ü
END | BCE | 100 | 3 - 15/16 | ü |  |  |  |
CORNER | BCC | 100 | 3 - 15/16 | ü |  |  |  |
CORNER | BCC | 150 | 5 - 29/32 |  | ü |  |  |
CORNER | BCC | 200 | 7 - 7/8 |  |  |  | ü | ü
3-WAY | BCT | 100 | 3 - 15/16 | ü |  |  |  |
4-WAY | BCX | 100 | 3 - 15/16 | ü |  |  |  |
45° | BC45 | 50 | 1 - 31/32 | ü |  |  |  |
45° -INSIDE | IC45 | 50* | 1 - 31/32 |  | ü |  | ü | ü
45° -OUTSIDE | OC45 | 50** | 1 - 31/32 |  | ü |  | ü | ü
PANELS
PANEL 93 | P093 | 94.33 | 3 - 23/32 | ü | ü |  | ü | ü
PANEL 132 | P132 | 133.33 | 5 - 1/4 |  |  |  | ü | ü
PANEL 182 | P182 | 183.33 | 7 - 7/32 | ü | ü |  | ü | ü
PANEL 232 | P232 | 233.33 | 9 - 3/16 | ü | ü | ü | ü | ü
ADJUSTERS
SPACER 49 | S049 | 50 | 1 - 31/32 | ü | ü | ü | ü | ü
SPACER 68 | S068 | 69.5 | 2 - 3/4 | ü | ü | ü | ü | ü
JOINER | JBC | 39 | 1 - 17/32 | ü | ü |  | ü | ü
STARTER | ADPS | 0 | 0 | ü | ü | ü | ü | ü

* 50 mm (1- 31/32" offset from outside face)

** 50 mm (1- 31/32" offset from inside face)

NOTE: Difference between RBS8, RBS8i (insulated) and RBS8i (non-insulated)

RBS8: These components provide a full 8" cavity for concrete (e.g. BCS & P232) or use RBS8i (non-insulated) component profiles (e.g. S049 & S068) cored through to allow for an 8" concrete wall

RBS8i (insulated): These components provide for a 6" cavity for concrete and are factory pre-insulated with 2" of polyurethane foam

RBS8i (non-insulated): These components are the same as the RBS8i (insulated) profiles, however the insulation cavity is not filled with polyurethane foam and the cores are only provided for the concrete cavity section of the component. These components can be used in conjunction with RBS8 components when required. If a RBS8i (non-insulated) component is specified for use within an RBS8 wall section, this component can be cored if requested as a special fabrication instruction. If no instruction is provided, the component supplied will be a standard RBS8i profile with no insulation.

Refer to the Design Guide for assistance in designing projects using Royal Building Systems™ technology.


3D Commands

All of the custom components provided in the RbsdAcad.arx library are completely three-dimensional. As such, the 3D nature of AutoCAD can be easily harnessed to create 3D views. In fact, it is often advantageous to look at the drawing from a 3D perspective, as many errors that may be concealed in plan view will stand out and become more apparent (e.g. wall heights, opening locations). Remember that the header and sill layers are turned off by default. You will want to turn them on when viewing the drawing from a 3D viewpoint.

Most of the commands work based on the current UCS. By altering the current UCS, you can have the RBSD for AutoCAD tools work in any orientation and any location in three-dimensional space. Any time the word 'elevation' is used in RBSD for AutoCAD, it refers to the distance to the UCS plane z = 0. This distance is measured along the coordinate system of the entity.

IMPORTANT NOTICE: The two point method used to angle the walls (rbsdAngleWall) requires the UCS to be set to the equivalent of a plan view. The reference points picked during the command are projected onto the UCS plane z = 0 and then that entire plane is mapped to the cutting plane based on the reference points. Adjusting the UCS so that the Z-axis of the UCS does not match the Z-axis of the wall components will have unexpected results when angling the wall components.


 The RBSD Command Tool Bar


Units of Measurement and Drawing Setup

The size of the component drawings is based on the current AutoCAD units. If the drawing units are set to 'Decimal' or 'Scientific' then all components and utility functions assume that 1 drawing unit is equal to 1 millimeter. If the drawing units are set to 'Engineering', 'Architectural' or 'Fractional' then it is assumed that 1 drawing unit is equal to 1 inch. When using the RbsdAcad.arx tool it is recommended that the "Decimal" units be used. It is possible to change back and forth between decimal and architectural units, as long as the components are scaled properly (1 inch = 25.4 millimeters). The components can be scaled to other units as well (e.g. centimeters, meters), but the components must be scaled back to 1 unit equal to 1 mm (or 1 unit equal to 1 inch for architectural) before modifications can be made using the utility functions. If you wish to scale the drawing between metric and imperial units then it is important that you change the drawing units first and then scale the components. Failure to make the changes in this order will result in invalid fabrications for coring alignment.

It is recommended that the grid and snap distance be set to 1000/3 (1000/3/25.4 for architectural units) to accommodate the typical grid spacing of components. Wall lengths need to be provided in multiples of 1/3 meter (333.333&ldots;mm, approximately 13 1/8") and it is much easier to accomplish this with the appropriate grid setting.

Two template drawings have been created with the above settings. Rbsdmet.dwt uses decimal units (metric), while Rbsdeng.dwt uses architectural units (imperial). The installation program copies these templates to the template directory C:\Program Files\AutoCAD 2000\Template (or other AutoCAD template directory).

The templates are set up with a number of standard layers and text styles. When components are inserted using the RBSD for AutoCAD utilities, the entities are automatically placed in their proper layers with their proper text styles, provided those layers and text styles exist. If the layers or text styles do not exist, then the current layer or text style will be used instead. The standard layers and text styles are listed below.

Layer | Component
RBSD_DOORS | Doors
RBSD_FLOOR_FRAIMING | Joists
RBSD_FLOOR_REINFORCEMENT | Floor reinforcement
RBSD_GRID | Presentation grid
RBSD_HEADER-SILL_BOXES_OTHER | Non-straight box connectors in a header or sill
RBSD_HEADER-SILL_BOXES_STRAIGHT | Straight box connectors in a header or sill
RBSD_HEADER-SILL_JOINERS | Joiners in a header or sill
RBSD_HEADER-SILL_PANELS | Panels in a header or sill
RBSD_HEADER-SILL_SPACERS | Spacers in a header or sill
RBSD_HEADER-SILL_STARTERS | Starters in a header or sill
RBSD_LABELS_A3 | Floor plan layout labels
RBSD_LABELS_PE2a | Standard wall labels (from RbsdAddlabels)
RBSD_LABELS_PE2b | Header and sill wall labels (from RbsdAddlabels)
RBSD_LABELS_PE3 | Frame, lintel, door, and window labels (from RbsdAddlabels)
RBSD_LABELS_S3 | Joist labels (from RbsdAddlabels)
RBSD_LABELS_S4 | Floor framing labels
RBSD_LEGENDS | Legends created through rbsdAddLegend
RBSD_LEGENDS_A3 | Floor plan legend
RBSD_LEGENDS_PE2a | Wall legend
RBSD_LEGENDS_PE2b | Header and sill legend
RBSD_LEGENDS_PE3 | Frame, lintel, door, and window legend
RBSD_LEGENDS_S3 | Joist legend
RBSD_LEGENDS_S4 | Floor framing legend
RBSD_PANELIZATIONS | Panelization entities
RBSD_PARTINFO | Main legend inserted through rbsdImportPartInfo
RBSD_TB | Title block
RBSD_TB_TEXT | Title block text
RBSD_VPORTS | Viewports
RBSD_WALL_BOXES_OTHER | Non-straight box connectors in a regular wall
RBSD_WALL_BOXES_STRAIGHT | Straight box connectors in a regular wall
RBSD_WALL_JOINERS | Joiners in a regular wall
RBSD_WALL_PANELS | Panels in a regular wall
RBSD_WALL_SPACERS | Spacers in a regular wall
RBSD_WALL_STARTERS | Starters in a regular wall
RBSD_WINDOWS | Windows

Text Style | Component
RBSD_LABELS | Labels added through rbsdAddLabels
RBSD_LEGEND | Text in the part legends
RBSD_PANELIZATION | Panelization labels

A title block for a 'D' size sheet of paper is created in "paper space" for each of the templates. The metric template has the title block set up for millimeters while the imperial template has the title block set up for inches. Attributes have been set up for the information in the title block. The command DDATTE can be used to modify this information. These title blocks can be used as a starting point for other custom title blocks.

It is recommended that template names be changed from the defaults when saving changes. This will prevent new releases from overwriting custom template information.

Each layer has a default color based on the types of components on that layer. Below is a list of suggested pen weights. These suggested pen weights are based on the default colors and typical display style for the different components.

Color | Width (mm) | Width (in.) | Components
1 (red) | 0.010 | 0.000 | Panels / Joists
2 (yellow) | 0.254 | 0.010 | Boxes
3 (green) | 0.375 | 0.015 | Grid (lines)
4 (cyan) | 0.100 | 0.004 | Joiners / Starters
5 (blue) | 0.550 | 0.022 | Title block lines
6 (magenta) | 0.010 | 0.000 | Doors / Windows
7 (white) | 0.010 | 0.000 | Text
40 (orange) | 0.190 | 0.007 | Spacers


 Edit Grid

rbsdModGrid

Allows changing many of the display aspects of the grid.

Size: Change the size of the grid by changing the number of rows or columns in the grid.

Color: Change the color of the grid text. The color of the grid lines is controlled by the normal AutoCAD color property.

Sub-grids: Add horizontal and vertical sub-grids in the middle of the rows and columns. These sub-grids can be spaced at 1/3m (1.09') increments. A sub-grid ending in x is 1/3m (1.09') after the main grid and a sub-grid ending in y is 1/3 m (1.09') before the next main grid.

The following are examples of valid horizontal sub-grids: 1x, 1y, 2x, 2y, etc.

The following are examples of valid vertical sub-grids: Ax, Ay, Bx, By, etc.


 Toggle Header ,Sill Layers

rbsdToggleHSL

Toggles the six header / sill layers on and off. The header / sill layers are turned off by default for proper appearance in plan view. This utility can be used to turn the layers on in order to get the header / sill wall components to appear in 3d views, or to be able to select the header / sill wall components for editing.


Add Wall

rbsdAddWall (Thickness/Height/Color/CORing/<From Point>)

T: Wall thickness choice of RBS4 (4) or RBS6 (6) or RBS8I (8i) or RBS8 (8)

H: Height of wall

C: Color (i.e. "T" for Tan color)

COR: Datum for coring alignment

Choose the start point and subsequent points for wall segments, similar to drawing a line. The points picked must be a multiple of 1000/3 mm. Walls cannot overlap or cross other walls. The wall components at intersections are automatically adjusted for the intersection condition.

There are six layers for wall components defined in the drawing templates. The different types of wall components are automatically added to their proper layer. The six categories are straight box connectors, other box connectors, panels, spacers, joiners and starters. Different colors and plot weights can be assigned to the different layers if required.

The 150 mm (6") wall is automatically offset when drawn. A wall drawn from left to right will be offset up (i.e. the exterior of the wall is facing up). A series of walls drawn in a clockwise direction will be offset towards the outside of the loop. Two 150 mm (6") walls can only offset towards each other if there is a Panel 232 at the corner which can be changed into a Panel 182. In any other situation, the new wall will be offset away from the existing wall.

When the 200 mm (8") wall is drawn, the wall and insulation,if the 8I is selected, are automatically offset in a consistent fashion. A wall drawn from left to right will be offset up with the insulation at the top (i.e. the exterior of the wall is facing up). A series of walls drawn in a clockwise direction will be offset towards the outside of the loop and with the insulation on the outside of the loop. Two 200 mm (8") walls can only offset each other if there is a Panel 232 at the corner which can be changed into a Panel 132. In any other situation, the new wall will be offset away from the existing wall.

By default, the coring in all wall components is aligned to the standard coring in a flat component 2220 mm (7'-3 13/32") high from the WCS plane z = 0. If you wish to change the coring alignment then you can enter 'CORING' at the prompt of this command. The program will then allow you to enter another coring datum. The coring datum is stored in the drawing and components copied from one drawing to another will align their coring to the datum in the destination drawing. You can change this value at anytime and all wall components will be updated.


 Edit Wall

rbsdModWall

To Edit a Wall, choose the icon [image] then click the Wall you wish to edit, then press enter.

This edit box will appear, change your options and press enter.

Length is the length of the component, entered in millimeters or inches.

Colour is the colour of the component. This is a manufacturing colour only, the colour in the drawing will not be changed.

Fabrication is an ID that refers to a fabrication drawing or shop detail.

If you edit multiple components that have different fabrications, the Current Fabrication editor with be disabled.

You can add and remove fabrications by entering them in the New Fabrication editor and clicking on either Add or Remove. Add and Remove act immediately regardless of clicking OK or Cancel


Insert Wall Component

rbsdInsertWallComponents

To start the command, click on the Insert Wall Component icon. Select the type of wall from the Description category. After choosing the component select the colour, the Component Height, and as an option you can fill out the Fabrication. To apply you can double click the component or click the insert button and apply it on the screen. The first selection point in AutoCAD specifies the insertion location, the second point specifies the direction of insertion. The orientation and offset is based on the two points selected during insertion. Three points are required for non straight components. You may place components end to end using the end point osnap setting.

Note: Walls can not be drawn from the panel / female connector end.


 Wall Adjustment Joiner, Box, Panel 93

rbsdWallUtilP093

Changes a Panel 232 to a series of components comprised of a Joiner, a straight Box and a Panel 93. The Panel 93 is inserted at the end towards the point which was used to select the Panel 232. This tool can also change the series of components back into a Panel 232. If there are two possible sequences, then the sequence which is converted is the one towards the point used to select the Panel 93.


Wall Adjustment Spacer 49, Panel 182

rbsdWallUtilP182

Changes a Panel 232 to a series of components comprised of a Spacer 49 and a Panel 182. The Panel 182 is inserted at the end towards the point used to select the Panel 232. This tool can also change the series of components back into a Panel 232. If there are two possible Spacers, then the Spacer which is converted is the one towards the point used to select the Panel 182.


 Wall Adjustment Starter

rbsdWallUtilADPS

Changes a Starter beside a Box Connector into legs of the Box Connector. This tool can also change the legs of a Box Connector into a Starter (available only for 100 mm (4") wall components)


Angle Wall

rbsdAngleWall

This wall command cuts the top end of a wall to an angle. There are 2 methods to define the cutting plane, the first is to set current UCS to the cutting plane before entering the rbsdAngleWall command. After selecting the wall components to angle cut, press the enter key when prompted for "Current UCS". The second method is to define two reference points. After selecting the wall components to angle cut, two reference points are requested. These points are used to define a cutting plane for the wall components. Any wall component intersecting this cutting plane is cut to the angle of the plane. The projection of the line on the UCS plane must be in a direction which is a multiple of 45° from a face of the component (see diagram).

Example: (method #1 - UCS method)

  1. Set the UCS on the high point of the angle cut

  2. Enter the UCS twice - once to pick the component where the high point will be - the second to set the height of that component (x,y,z, when set in WORLD) (e.g. 0,0,2438)

  3. After setting the height, enter the UCS again and select the X or Y axis (depending on the angle cut required).

  4. Enter the angle of the wall (e.g. 39 or -39)

  5. Accept the UCS cutting plane

  6. Select the Angle Wall (rbsdAngleWall) command and select components to cut

  7. Hit Enter to complete command

Example: (method #2 - reference point method)

Selected points: 0,0,1000 and 0,1000,1250.

All selected components will get cut to angle at 14° (4:1 slope). The height of components at 0,0 and 1000,0 will be 1000, while the height of components at 0,1000 and 1000,1000 will be 1250. A component at 0,0 with a height of only 900 will not get cut at an angle as it is not high enough to intersect the cutting plane.

Another way to enter the points is by using the slope directly. If you know the elevation at one point and the slope of the roof then you have two points that you can use. The known point can be used as the first reference point for the command and the second point can be a relative point representing the slope. For example, if you know the elevation of the roof at the point 50,1000 is 1250 mm then you can use the point 50,1000,1250 as your first reference point. If you know the slope is 1:4 then the second point can be @0,4,1. The @ makes the point relative to the last point and the new point is 4 mm up the y axis and 1 mm up the z axis from the previous point (1:4 slope).


 Split Wall

rbsdSplitWall (Box/Panel/<Select Objects>)

B: Elevation at which to vertically split box connectors (and spacers and starters)

P: Elevation at which to vertically split panels (and joiners)

Selected components will be vertically split at the chosen elevations. The elevations are relative to the current UCS plane.


 Specific Wall Components

The standard grid for Royal Building Systems™ is spaced at 333 1/3 meters (13 1/8"). When a standard wall is drawn, it consists of alternating Box Connectors and 232 mm (9") Panels, with the Box Connectors centered on the grid intersections. Any wall drawn with the rbsdAddWall command will have a Box Connector at each end.

There are times when Panels other than the 232 mm (9") are required. There are two ways to accomplish this task. First, create a small wall with the desired components (using above mentioned utilities), and then copy the component into the desired position. The second option is to use the rbsdAddWall command. When using this command, it is possible to enter the specific length of a wall in order to produce a desired component. The following table shows the wall lengths and resulting components:

Wall Length | Component
333 1/3mm (13 1/8") | 232 mm (9") Panel
283 1/3mm (11 5/32") | 182 mm (7") Panel
194 1/3mm (7 21/32") | 93 mm (3 5/8") Panel
139mm (5 15/32") | Joiner

When drawing walls with rbsdAddWall, the length of wall specified must be precise to within 0.4 mm (1/64").

Example: a wall drawn with a length of 283 mm is acceptable and will produce a wall which is actually 283 1/3 mm long.

Refer to the Design Guide for further information regarding standard grid dimensions and components.


Panelize Wall

rbsdPanelize

Entire wall section can be grouped together, or panelized, to create a new assembly.

Selected components will be marked as part of a panelization and a new marker will be generated for the assembly.You will be prompted for a point to determine the view direction. A default panelization label will be generated, however this label can be manually changed. If the panelization label is changed, then similar panelized assemblies will not get grouped together. If the layer RBSD_PANELIZATIONS exists, then the panelization marker will be created on this layer. If a text style named RBSD_PANELIZATION exists then this will be the text style used for the panelization label. All components in a panelization must belong to the same wall (or all belong to no wall).

Warning: it is important that components are not moved once they have been panelized. It is also important that the coring datum is not changed after components have been panelized. If either of these actions is performed then the coring alignment fabrications for the components in a panelization will most likely become invalid. If changing the coring datum or moving components vertically is required after panelization then the panelizations should be deleted first, and then recreated after the changes have been made.


Mark Wall

rbsdMarkWall

Wall components can be marked and labeled as belonging to a wall section. Selected components will be marked with a label, as entered at the command prompt. It is also possible to choose a panelization and mark it with a wall label.


Add Door and Frame

rbsdAddDoor (DoorStyle<From Point>)

To add a door, click on the Add Door icon. Select the insertion point in AutoCAD by picking a start point inside an RBSD wall. You must select the insertion point of a component. You may use either snap and drawing grid if the components are on the grid or the "insert" osnap setting. Select a second point inside the wall to show the direction the door opening should be created in. Select a third point outside the wall to show the direction of swing. If you selected shutters to be inserted, a fourth pick will be required to show the side of the wall that the shutters should be mounted on.

To change the door type and options, start the Add Door command then type 'D' at the AutoCAD command prompt to open the Door Options dialogue box.

Depending on the door selected, the options available will change. For the Standard Steel Door there are various styles, handles, locksets and the options for single door, double door and shutters.

Depending on the door and style selected, there can also be options for door size and frame height.

For all doors there is the option of adding Lintels to reinforce the opening. To add a lintel, click on the Has Lintel check-box. The options for Type, Anchors and Bearing Distance will be made available. Bearing Distance is the length that the lintel extends into the wall on either side of the opening. The distance is shown in millimeters or inches.

If the user selects the Lintel Type 'HSS' which is a rectangular lintel, the user will be able to enter the width and height.

Each door type can present different options. In the case of the Garage Door there are three colors available as well as the option to add a door stop to the door frame.

There is also the option of a customer supplying their own door. In this case the user needs to identify the type of frame to be used (or none), as well as the number of sections to display in the door. '0' sections means that there will be a wall opening with no door. '1' means a single door, and '2' means a double door.

If a Window Frame is selected then there is an option to have 'Legs' or 'No Legs' on the window frame.

If a Door Frame is selected then there is an option for a Door Stop to be added.


 Edit Door

rbsdModDoor

To Edit a Door, choose the icon [image] then click the Door you wish to edit.

The edit box will be displayed, showing the options available for that door type. Make whatever changes you require then click the OK button to accept the changes and close the dialogue box.

If you edit multiple doors with exactly the same properties, all options are available. If the doors are different, only the options that are common to all doors will be displayed in the dialogue box.


 Add Window and Frame

rbsdAddWindow (WindowStyle/<From Point>)

To add a window, click on the Add window icon. Select the insertion point in AutoCAD by picking a start point inside an RBSD wall.You must select the insertion point of a component. You may use either snap and drawing grid if the components are on the grid or the "insert" osnap setting. Select a second point inside the wall to show the direction the window opening should be created in. Select a third point not on the wall to show the outside direction. If you selected shutters to be inserted, a fourth pick will be required to show the side of the wall that the shutters should be displayed on.

To change the window type and options, start the Add Window command then type 'W' at the AutoCAD command prompt to open the Window Options dialogue box.

Depending on the Window selected, the options available will change. For the RBS Series 2000 there are options for width, height, operation, shutters, and glass type.

For all windows there is the option of adding Lintels to reinforce the opening. To add a lintel, click on the Lintel check-box. The options for Type, Anchors and Bearing Distance will be made available. Bearing Distance is the length that the lintel extends into the wall on either side of the opening. The distance is shown in millimeters or inches.

If the user selects the Lintel Type 'HSS' which is a rectanglular lintel, the user will be able to enter the width and height.

Each window type can present different options. In the case of the Customer Supplied Window there is an option for the number of Sections to be displayed.

Selecting '0' sections means that there will be a no window shown. '1' means a single window section will be displayed, and '2' means two window sections will be displayed.

Frame Types allows the user to select if a frame will be used. If No Frame is selected then there will just be a wall opening. If a Window Frame is selected then there is an option to have 'Legs' or 'No Legs' on the window frame (for mounting the window). If a Door Frame is selected then there is an option for a Door Stop to be added.

Elevation is vertical distance from the current UCS to the underside of the header frame component if there is a frame, otherwise it is measured to the underside of the wall header components. Height is the vertical distance between the inside edges of the the header and sill frame components, (clear opening). If there is no frame, the height is the vertical distance between the wall header and sill components.


 Edit Window

rbsdModWindow

To edit a window, choose the icon [image] then the window you wish to edit.

The edit box will be displayed, showing the options available for that window. Make whatever changes you require then click the OK button to submit the changes and close the dialogue box.

If multiple windows are selected, which are exactly the same, all properites are displayed for editing. If the windows are different, only the options that are common to all window types selected will be displayed in the dialogue box.


Add Floor Joist

rbsdAddFloorJoist (Type/BearingDistanceStart(1)/BearingDistanceEnd(2)/Elevation<From point>:)

To add joists, click on the Add Floor Joist icon. Four options are presented in the command prompt.

  1. Type is the type of joist to be inserted, seven options are available (RSJ/RXJ/RSB/RXB/IBeam/WideFlange/HSS). RSJ is the default. If WideFlange or HSS are selected then the user will be prompted to select a width and height for the joist.

  2. BearingDistanceStart (or type 1 in the command line) is the distance that the joist protrudes into the wall or other joist at the starting point. 50mm is the default. The distance selected my be changed automatically if the distance is greater than what is physically possible. For example, if a joist is connected to an Ibeam the bearing distance will be shortened to 15mm from the center of the Ibeam automatically.

  3. BearingDistanceEnd (or type 2 in the command line) is the distance that the joist protrudes into the wall or other joist at the end point. 50mm is the default.

  4. Elevation (or type E in the command line) is the height of the top of the joist based on the current UCS. 2655mm is the default.

Select a start and end point for the joist. If the joist is connecting to a wall the snap and grid commands will ensure that the joists are inserted into box connectors. Joist locators are added automatically based on the end conditions at insertion. To ensure that these are correct, make sure the joist ends are inside the wall components in 3 dimensional space when the joist is inserted.

Note: If you move, or delete a joist, the fabrications on the wall components are updated. However, if you move a wall component that has a joist located in it, the fabrications on the wall component will not be updated!


 Edit Floor Joist

rbsdEditJoist

To edit a floor joist click on the EditJoist icon then click on the joist you wish to edit. An edit box will appear.

Joist Type allows the user to change the joist to another joist type.

Bearing Distance allows the user to change the distance that the joist protrudes into a wall component.

Elevation changes the elevation to the top of the joist based on the current UCS.

Length changes the length of the joist and overrides the Bearing Distance on the end point of the joist.

Width and Depth change the size of the joist. These options are only available for WideFlange and HSS.


Add Floor Angle

rbsdAddFloorAngle (Type<From point>)

Two 'L' shaped angles are available. Deck Support Angle is wall mounted, Edge Angle is joist mounted

To switch between angle types start the command by clicking on the Add Floor Angle icon. Enter the letter 'T' for Type. Then enter the letters 'D' for Deck or 'E' for Edge angle. If Deck is selected then a second option will be presented for the top-of-angle height. Type in the angle height in millimeters or inches.

Insert the Angle by selecting the start and end points (within a joist or wall). These two points must be inside the perimeter of a wall or joist component. Then select a third point on the side of the joist or wall that the angle will be mounted on.


Add Floor Frame Reinforcement

rbsdAddFloorFrameReinforcement (Type/<15MVerticalDowel>)

To add floor frame reinforcement, click on the Add Floor Frame Reinforcement icon. Five reinforcement options are available. To change the reinforcement type, enter the letter 'T' at the command prompt. Use the pulldown list to select the option required, then click the OK button.

15mm Vertical Dowel, this component can only be placed on wall box connectors.

15mm Vertical Dowel (Welded), this component can only be placed on an IBeam, WideFlange or HSS Beams.

Bent Dowel, this component can only be placed on a wall box connector. Select the insertion point on the wall then select a second point on either side of the wall to indicate the direction of the bend.

Horizontal Bars, this component can only be placed between two parallel walls. Select a point in the first wall and a second point in a parallel wall. Horizontal bars will be inserted perpendicular to the selected walls. The length and spacing between the horizontal bars can not be changed.

Wall Anchor Rod (Screwed) and Wall Anchor Rod (Welded), these components can only be placed on RSB, RSJ, RXB and RXJ type beams. Select the insertion point on the joist to place the anchor.


Add Joist Bridging

rbsdAddJoistBridging

Joist Bridging can be inserted between two perpendicular joists. To Add Joist Bridging, click on the icon then select a point on the first joist and a point on the second joist. The joist bridging will be added perpendicular to the first joist.


 Add Steel Decking

rbsdAddSteelDecking

To add steel decking, click on the icon. The command allows the user to create an enclosed area to denote where the steel decking will be placed.

Click on a corner where the steel decking will start. Select a second, third and fourth corner as required. When complete, right-click or press the return button.


Pricing and Labels

RBSD for AutoCAD 2000 Version 4.0 can also be used in conjunction with the RBS Component Order Version 1.0* program to facilitate the handling of part information. Information can be passed back and forth to facilitate pricing, labeling, and eventually production.

The command 'rbsdExportPartInfo' will export information from an AutoCAD drawing. This information is exported into a file with the extension 'rpi'. The RBS Component Order Version 1.0 program can import an 'rpi' file ('Import;' in the 'File' menu), which will automate the pricing process. RBS Component Order also creates label information for all components that can then be exported ('Export' in the 'File' menu) in a format compatible with RBSD for AutoCAD. This process creates a file with the extension 'pi'. The command 'rbsdImportPartInfo' can then be used to import a 'pi' file back into the AutoCAD drawing. A legend will be created in the drawing that contains all of the part information that is required for labeling. It is important not to delete this legend, but it is possible to freeze the layer so that it is not visible. The information in this legend is then used in the commands 'rbsdAddLabels' and 'rbsdAddLegend'. (See section 2.6, Part Information and Labeling Commands, in this guide for further information on the proper usage of the above commands).

Should you have any questions, please do not hesitate to contact our software technical support department at (905) 264-0698 or via e-mail at softech@rbsdirect.com.

* The RBS Component Order Version 1.0 program is available for use by registered distributors of Royal Building Systems™. Please contact Royal Building Systems (Cdn) Limited for further information on how to become a registered distributor.


 Export Part Information

rbsdExportPartInfo

Writes information for all parts in the drawing out to a file for processing. Enter or choose a name for the export file. The file is created and filled with the information for every part in the drawing.


Import Part Information

rbsdImportPartInfo

Reads processed part information file into a legend. Choose the name of the file to import. Choose the location point of the legend. The part information in the file is read and stored in tabular form in a legend. This legend is required for labeling components. If the layer "RBSD_PARTINFO" exists then the legend is created on that layer, otherwise it is created on the current layer.


Add Labels

rbsdAddLabels

Adds labels for selected components based on the information in the part legend. There is prompt to append length to the label. Select the parts to be labeled. Labels are inserted for the selected parts at the bottom of each component. If a text style named "RBSD_LABELS" exists then that is the style used for the labels, otherwise the current text style is used.


Add Legend

rbsdAddLegend

Creates a legend for selected components based on the information in the part legend. Select the parts for which a legend is to be created. Choose the insertion point for the new legend. A legend is created to summarize the selected parts. The information in the legend is retrieved from the part legend created by the command "Import Part Information". If the layer "RBSD_LEGENDS" exists then the legend is created on that layer, otherwise it is created on the current layer. If a text style named "RBSD_LEGEND" exists then that is the style used for the legend text, otherwise the "STANDARD" text style is used.


SAMPLE PROJECT

When you installed the RBSD for AutoCAD design tool onto your system, two sample projects were also generated in the following default folder:

C:/Program Files/Royal Building Systems/RBSD2000/Sample

The first sample project in this folder is called sample1.dwg.

The following step by step exercise takes you through the most common utilities in designing walls for Royal Building Systems™ in AutoCAD. It is helpful to review the sample projects directly in AutoCAD while going through the exercise. The following Step by step exercise is done in metric dimension. The whole exercise can also be completed using Imperial Dimension.

Step-by-step exercise

STEP 1 - Drawing Setup

STEP 2 - Draw Walls

STEP 3 - Insert Doors & Windows

STEP 4 - Angle Cut Wall Components

STEP 5 - Flooring System

STEP 6 - Adding Floor Reinforcement

STEP 7 - Export, Import, Add Labels and Legends

STEP 8 - Panelization


 Step-by-step exercise

The following exercise will create the drawing shown below.


STEP 1 - Drawing Setup

·start AutoCAD

·select 'New' from the 'File' menu

·choose to Use a Template

Scroll down to find Rbsdmet.dwt template

·select the template Rbsdmet.dwt

Note: The Rbsdeng.dwt template is for Imperial dimensions.

·click 'OK' to open the drawing

·click on the Edit Grid icon * to modify the grid (or type rbsdModGrid)

·change the 'Rows' to 7 and the 'Columns' to 10

add the 'Horizontal Sub-grids' 6x by clicking in the Horizontal Sub-grids window

type 6x

press <Enter>

Note: 'x' and 'y' should be in Lower Case.

·click 'OK' to accept the changes to the grid

·from the 'View' menu, choose 'Zoom' and then 'All'

·from the 'Format' menu, choose 'Drawing Limits' and then select the points 0,0 and 9000,6000

Note: The grid snaps to 1/3m, so with Snap On these points will be accurate.


 STEP 2 - Draw Walls

The next step is to draw the walls. For this example, we will be using the RBS4 - 100 mm(4") and RBS6 - 150 mm (6") walls. Notice that the Gable walls are angled. The utility used to angle cut walls 'cuts through' the wall components. Therefore to angle cut the components, all of the angled walls need to be drawn higher than the highest point. In this exercise, the longest wall component is at the ridge and is 3695mm (12'-1 15/32"). All of the angled walls are shorter than this, so we will draw all the walls at 3695 mm (12'-1 15/32") height. When drawing an RBS6 wall, the offset is controlled by the direction in which the wall is drawn. (Note: The RBS6, RBS8i and RBS8 wall drawn from Left to Right, the offset is up and if drawn from Right to Left the offset is down). We will draw the front wall of the garage from left to right, to get the correct offset. The RBS4 walls should be drawn before the RBS6 so they will intersect correctly.

·click on the Add Wall icon * to draw a wall (or type rbsdAddWall)

·change the thickness to RBS4

type 4, to select RBS4 wall

press <Enter>

·change the height to 3695

Note: 3695 mm is the peak height for the angled walls.

·select the first point at 0,0 (Grid:1,A)

·select the next point at 6000,0 (Grid:7,A)

·select the next point at 6000,6000 (Grid:7,G)

·select the next point at 0,6000 (Grid:1,G)

·select the last point at 0,6000 (Grid:1,A)

·press <Enter> or <Escape> to end the command

·repeat the Add wall command

·select the first point at 0,3000 (Grid:1,D)

·select the next point at 2000,3000 (Grid:3,D)

·select the next point at 3000,2000 (Grid:4,C)

·select the last point at 3000,0 (Grid:4,A)

·press <Enter> or <Escape> to end the command

·repeat the Add wall command

·select the first point at 6000,4000 (Grid:7,E)

·select the next point at 5333,4000 (Grid:6.33,E)

·select the next point at 5333,5000 (Grid:6.33,F)

·select the last point at 6000,5000 (Grid:7,F)

·press <Enter> or <Escape> to end the command

·repeat the Add wall command

·change the height to 2553

·select the first point at 6000,6000 (Grid:7,G)

·select the next point at 9000,6000 (Grid:10,G)

·select the next point at 9000,0 (Grid:10,A)

·press <Enter> or <Escape> to end the command

·repeat the Add wall command

·change the thickness to RBS6

type 6, to select RBS6 wall

press <Enter>

·select the first point at 6000, 0 (Grid:7,A)

·select the next point at 9000, 0 (Grid:10,A)

·press <Enter> or <Escape> to end the command

zoom on grid location 6000, 6000 (Grid: 7,G)

·click on the Box Legs <->ADPS icon * to change a Box Connector legs to Starter (or type rbsdWallUtilADPS)

select the box legs towards right of point 6000, 6000 (Grid:7,G)

Note: This will convert RBS4 3 Way to RBS4 Corner Box and Starter.

Click on the Edit Wall icon * to change the height of the Starter (or type rbsdModWall)

Select the Starter to the right of point 6000, 6000 (Grid:7,G)

Press <Enter>

Change the length to 2553

Click 'OK' to revise the length of the Starter to 2553 mm

·click on the P232<->P093,BCSE,JBCW icon * to change a panel 232 to P093,BCSE,JBCW and vice versa (or type rbsdWallUtilP093)

select the P232 panel at point 1750,6000 just left of (Grid:3,G)

Note: When the left side of the P232 panel is selected, this will convert the P232 to a P093, BCSE, and a JBCW with the P093 towards the side you select.

·repeat this for the P232 at point 1750,3000 just left of (Grid:3,D)

Note: Make sure the combination of components is the same as at Grid:3,G

·set snap off

·set osnap to insertion

Note: This is required to be able to use components off grid.

Use Zoom Window tool to zoom in from grid 1000, 6333 to 2333, 2666

·click on the Add Wall icon to draw a wall (or type rbsdAddWall)

·change the thickness to RBS4

type 4, to select RBS4 wall

press <Enter>

change the height to 3695

·select the first point at 1861,3000 just left of (Grid:3,D)

·select the next point at 1861,6000 just left of (Grid:3,G)

·press <Enter> or <Escape> to end the command

zoom Extents

·The walls are now complete.


 STEP 3 - Insert Doors and Windows

·click on the Add Door icon * to add a door (or type rbsdAddDoor)

·type D to change the door style

·select Standard Steel Door from the drop down menu

·change DOOR SIZE to [908 x 2007][35 ¾" x 79"]

·set DOOR STYLE to F04

·set HANDLE STYLE to Knob Chrome

·set LOCKSET to Keyed

·set DOOR TYPE to Single Door

·select Single Key Dead Lock

Note: Frame height is set at 2049 mm by Default.

·click OK

·set osnap off

·set snap on

·select the first point (hinge side) at 6000,0 (Grid:7,A)

·select the second point (keeper side) at 5000,0 (Grid:6,A)

·select the swing side, any point above the wall

·repeat the Add door command

·type D to edit the syle

·set DOOR STYLE to S02

·set DOOR SIZE to [806 x 2007][31 ¾" x 79"]

·click OK·

·select the first point (hinge side) at 6000,6000 (Grid:7,G)

·select the second point (keeper side) at 5000,6000 (Grid:6,G)

·select the swing side, any point below the wall

·repeat the Add door command

·type D to edit the syle

·set the DOOR STYLE to S01

·set Has Lintel on

·set Lintel Type to Standard

·set Bearing Distance to 45

·click OK

·select the first point (hinge side) at 6000,4000 (Grid:7,E)

·select the second point (keeper side) at 6000,3000 (Grid:7,D)

·select the swing side, any point left of the wall

·repeat the Add door command

·type D to edit the syle

·select Standard Wood Door from the drop down menu

·set the DOOR STYLE to S800

·set the DOOR SIZE to [806 x 2032][31 ¾" x 80"]

·set LOCKSET to Passage

Note: Frame height is set at 2056 mm by Default.

·click OK

·select the first point (hinge side) at 3000,0 (Grid:4,A)

·select the second point (keeper side) at 3000,1000 (Grid:4,B)

·select the swing side, any point left of the wall

·repeat the Add door command

·type D to edit the syle

·set the DOOR SIZE to [756 x 2032][29 ¾" x 80"]

set LOCKSET to Privacy

·click OK

use Zoom Window tool to zoom in from grid 1333,4333 to 2333,2667

·set snap off

·set osnap to insertion

·select the first point (hinge side) at 1861,3000 just left of (Grid:3,D)

·select the second point (keeper side) at 1861,4000 just left of (Grid:3,E)

·select the swing side, any point left of the wall

·repeat the Add door command

·type D to edit the syle

·set the drop down menu to Louvre Door

·set the DOOR STYLE to Standard Pair

Note: Frame height is set at 2056 mm by Default.

·click OK

zoom Extents

·set osnap off

·set snap on

·select the first point (hinge side) at 5333,4000 (Grid:6.67,E)

·select the second point (hinge side) at 5333,5000 (Grid:6.67,F)

·select the swing side, any point left of the wall·

·repeat the Add door command

·type D to edit the syle

·set the drop down menu to Garage Door

·set the DOOR SIZE to [2438 x 2134][8' x 7']

·set the colour to Almond

·click on Has Lintel

·set Lintel Type to HSS

·set Bearing Distance to 90

·set Width to 102

·set Height to 203

Note: Frame height is set at 2137 mm by Default.

·click OK

·select the first point at 6000,0 (Grid:7,A)

·select the second point at 9000,0 (Grid:10,A)

·select the third point anywhere above the wall

press <Escape> to end the command

The doors are now complete.

··click on the Add Window icon * to add a Window (or type rbsdAddWindow)

·type W to change the window style

·set the drop down menu to RBS series 2000 Slider

·set the width to 814 [32"]

·set the height to 1016 [40"]

·select Left operator

Note: Elevation is set at 2049 mm by Default. The window is Clear, Thermal Pane,

without Internal Aluminum Grills and no Fixed Shutters.

·click OK

selec t the first point at 1000,0 (Grid:2,A)

·select the second point at 2000,0 (Grid:3,A)

·select point on outside, any point below the wall

·repeat the Add window command

·select the first point at 0,1000 (Grid:1,B)

·select the second point at 0,2000 (Grid:1,C)

·select point on outside, any point left of the wall·

·type W to change the window style

·change the window height to 814 [32"]

·click OK

·select the first point at 3000,6000 (Grid:4,G)

·select the second point at 4000,6000 (Grid:5,G)

·select point on outside, any point above the wall

·type W to change the window style

·change the window height to 1219 [48"]

·click OK

·select the first point at 3333,0 (Grid:4.3,A)

·select the second point at 4333,0 (Grid:5.3,A)

·select point on outside, any point below the wall

·type W to change the window style

·change the window Width to 714 [28"]

·change the window Height to 814 [32"]

·click OK

·select the first point at 333,6000 (Grid:0.3,G)

·select the second point at 1333,0 (Grid:1.3,G)

·select point on outside, any point above the wall

·press <Enter> or <Escape> to end the command

·click on SE Isometric View

click on the Toggle HSL icon * to show the header and sill components of the wall (or type rbsdToggleHSL)

·type Hide

press <Enter>


 STEP 4 - Angle Cut Wall Components

The layers for the headers and sills are turned off by default. We need to turn them back on ( by using Toggle HSL icon) before angle cutting the components or the header components will not get angle cut. The angle wall utility works by 'cutting down' the pieces to a cutting plane. There are two methods to generate this cutting plane. One is to use the current UCS, the other is to select two points which will define the plane based on the z vector of the current UCS. Any selected components will get cut down to this plane, but components will not get extended to it. In this exercise we will use the UCS method.

Note: The Header and Sill Layers are already On using the Toggle HSL icon in the Step 4 (or turn them On manually)

·type UCS

·type n for new UCS

·type 0,3000,3695,

Note: The 3695 mm is the peak height of the angle cut.

·repeat UCS command

·type n for new UCS

·type x for rotate around x axis

·type 18 for an 18 degree slope

·click on the angle Wall icon * to cut the wall components at an Angle (or type rbsdAngleWall)

·type All to select all components

·unselect all the components that are at the ridge ( y = 3000, Grid D)

·press <Enter> or <Space Bar> to complete the command

·press <Enter> to cut the components at angle

Note: The angle wall command will only cut components that intersect the UCS.

·type UCS

·type n for a new UCS

·type X to rotate around the X axis

·type - 36 to rotate the UCS to -18 degrees

·click on the angle Wall tool (or type rbsdAngleWall)

·type All to select all components

·unselect all the components that are at the ridge ( y = 3000, Grid D)

·press <Enter> or <Space Bar> to complete the command

·press <Enter> to cut the components at angle

·click on SE Isometric View

·type Hide

press <Enter>


 STEP 5 - Flooring System

The Next step is to Add RBS floor system.

·set your UCS to world

·set your view to plane of world UCS

·click on the Add Floor Joist icon * to add floor joists (or type rbsdAddFloorJoist)

·type T to change the type of joist

·type RSJ

·type E to set the elevation

·type 2488

Note: The top of the floor joist is at 2488 mm. The thickness of the concrete above the Steel Floor Deck is our standard 65 mm.

·set osnap off

·set snap on

·select the first point at 6000,666 (Grid:7,A.67)

·select the second point at 9000,666 (Grid:10,A.67)

·select the first point at 6000,1333 (Grid:7,B.33)

·select the second point at 9000,1333 (Grid:10,B.33)

·select the first point at 6000,2000 (Grid:7,C)

·select the second point at 9000,2000 (Grid:10,C)

·select the first point at 6000,2666 (Grid:7,C.67)

·select the second point at 9000,2666 (Grid:10,C.67)

·select the first point at 6000,3333 (Grid:7,D.33)

·select the second point at 9000,3333 (Grid:10,D.33)

type T to change the type of joist

·type RXJ

·select the first point at 6000,4000 (Grid:7,E)

·select the second point at 9000,4000 (Grid:10,E)

type T to change the type of joist

·type RXB

·select the first point at 6000,4666 (Grid:7,F.67)

·select the second point at 9000,4666 (Grid:10,F.67)

type T to change the type of joist

·type IB

·type 1 to change bearing on end 1

·type 90

·type 2 to change bearing on end 2

·type 90

·select the first point at 6000,5333 (Grid:7,F.33)

·select the second point at 9000,5333 (Grid:10,F.33)

·press <Enter> or <Space Bar> to complete the command

click on the Add Floor Joist icon to add joist blockings (or type rbsdAddFloorJoist)

·type T to change the type of joist

·type RSJ

·note:the bearing distance is not used for joist to joist situations.

·select the first point at 7333,666 (Grid:8.33,A.67)

·select the second point at 7333,1333 (Grid:8.33,B.33)

·select the first point at 7333,2333 (Grid:8.33C.67)

·select the second point at 7333,3333 (Grid:8.33,D.33)

·press <Enter> to end the command


STEP 6 - Adding Floor Reinforcement

·click on the Add floor Angle icon * to add floor angles (or type rbsdAddFloorAngle)

·type T to change the type of angle

·type D for deck support angle

·type 2488

Note: The top of the floor joist is at 2488 mm.

·set snap off

·set osnap off

·select the RBS6 P093 at point 6055,0 (Grid 7.05,A)

·select the RBS6 P093 at point 8945,0 (Grid 8.95,A)

·select any point above the wall

·select the RBS6 P232 at point 6055,6000 (Grid 7.1,G)

·select the RBS6 P093 at point 8945,6000 (Grid 9.9,G)

·select any point below the wall

·click on the Add Joist Bridging icon * to add joist bridging (or type rbsdAddJoistBridging)

·set osnap off

·set snap on

·select the first point at 7333,666 (Grid:8.3,A.66)

·select the first point at 7333,5333 (Grid:8.3,F.33)

press <Enter> to end the command

click on the Add Steel Decking icon * to add the Steel Floor Deck (or type rbsd AddSteelDecking)

Select the first point 6000,0 (Grid:7,A)

Select the next point 6000,6000 (Grid:7,G)

Select the next point 9000,6000 (Grid:10,G)

press <Enter> to end the command

·save the drawing as sample1.dwg·

click on the SE Isometric View

type Hide

press <Enter>


STEP 7 - Export, Import, Add Labels and Legends

·click on the Export Part Information icon * (or type rbsdExportPartInfo)

·type sample1 as the file name (.rpi will be appended automatically)

·start the Component Order program from the Windows Start Programs menu

·import sample1.rpi in the Component Order: (File->Import:select sample1.rpi)

·save as sample1 (.sof will be appended automatically)

·export sample1 from the Component Order. File->Export: type sample1 (pi will be appended automatically)

·activate AutoCAD.

·click on the Import Part Information icon * (or type rbsdImportPartInfo) select sample1.pi

·place the legend

·note: you must leave this legend in the drawing to use the labeling and other legend utilities

·click on the Add Labels icon * (or type rbsdAddLabels)

·select all joists in the drawing

arrange labels if required.

·note: you can select any combination of components to label to make it easier to layout drawings

·click on the Add Legend icon * or type rbsdLegend)

·select all joists

press <Enter>

·Enter Title: Joist Legend

press <Enter>

·place legend above drawing


STEP 8 - Panelization

·start AutoCAD

·select 'New' from the 'File' menu

·choose to Use a Template

Scrol down to find Rbsdmet.dwt template

·select the template Rbsdmet.dwt

·click 'OK' to open the drawing

·click on the Add Wall icon * to draw a wall (or type rbsdAddWall)

·change the thickness to RBS8

type 8i, to select RBS8 insulated wall

press <Enter>

·change the height to 6000

·select the first point at 0,0 (Grid:1,A)

·select the next point at 6000,0 (Grid:7,A)

press <Enter> to end the command

·click on the Split Wall icon * to split a wall (or type rbsdSplitWall)

Note: The default heights are boxes at 3220, panels at 2720

·select all components

press <Enter> to complete the command

click on the Front View icon or select View->3d Views->Front from the menu

·click on the Panelize icon * to panelize a wall (or type rbsdPanelize)

·select components as shown below

press <Enter>

·type 0,0,1000 and press <Enter>

·type 1 as the panelization label

press <Enter> to complete the command

·save as sample2.dwg

This completes the sample drawings. The best way to learn is through experimentation. Now that you have a starting point, you can decide how you want to use the RBSD for AutoCAD tool to best suit your design requirements.

Should you have any questions, please do not hesitate to contact our software technical support department at (905) 264-0698 or via e-mail at softech@rbsdirect.com.

Thank you for reading the RBSD for AutoCAD Software Guide. We hope you found this guide informative while designing your project using Royal Building Systems™ technology.

As always, our main goal at Royal Building Systems (Cdn) Limited is to ensure that our valued customers are 100% satisfied with our service and with Royal Building Systems™ technology. Should you have any questions or comments, we would like to hear from you. You may contact us at the following:

Woodbridge, Ontario

Canada L4L 8Z7

Tel:(905) 264-0698

1-877-747-WALL

Fax:(905) 264-0699

E-mail:info@rbsdirect.com

Web:www.rbsdirect.com

Please visit the RBS DIRECT!™ section of our web site at www.rbsdirect.com for the latest version of this guide


Add Opening

rbsdAddOpening (Start/End/<Select Objects)

S: Elevation of bottom of opening

E: Elevation of top of opening

FA: Add lintel fabrications

Selected components will be vertically trimmed from the start elevation to the end elevation. While this has the effect of creating an opening in a wall, it is preferable to use the door or window creation commands to create wall openings.


Part Information and Labeling Commands

The following routines are available for exporting the part information from the drawing and to assist in labeling and other aspects of presentation.

Export Part Information

Import Part Information

Add Labels

Add Legend


 Utilities

The following utilities are available.

Edit Grid

Toggle Header ,Sill Layers


Wall Commands

Add Wall

Edit Wall

Wall Adjustment Joiner, Box, Panel 93

Wall Adjustment Spacer 49, Panel 182

Wall Adjustment Starter

Angle Wall

Split Wall

Add Opening

Specific Wall Components

Panelize Wall

Mark Wall